Skip to content

REST API endpoints for Project Channels

POST /projects/{projectId}/channels
Authentication

Authentication is required.

Access token must have project:channel:create scope. Organization-owned projects also require the project:channel:create organization member permission.

Learn more about authentication

Path Parameters
projectIdstringRequired

The project ID or slug.

Request Body Content-Type: application/json
slugstringRequired

Channel slug. Uses the standard slug regex.

namestringRequired

Channel display name. Maximum 64 characters.

Response Body Content-Type: application/json

This API endpoint returns standard API response format. The following fields are fields of the data object. Learn more

idstringRequired

The unique identifier of the channel.

namestringRequired

The display name of the channel.

slugstringRequired

The channel slug.

is_defaultbooleanRequired

Whether this is the default channel.

last_slug_updated_atstring

ISO 8601 timestamp of the last channel slug update.

minecraft_versionsarray<string>

Default Minecraft versions for versions in this channel.

platformsarray<string>Required

Default platforms for versions in this channel.

dependenciesarray<object>Required

Default dependencies for versions in this channel.

typestringRequired

Dependency type. One of required, optional, incompatible, or embedded.

version_idstring

Target version ID.

project_idstring

Target project ID.

namestring

External dependency name.

urlstring

External dependency URL.

GET /projects/{projectId}/channels
Path Parameters
projectIdstringRequired

The project ID or slug.

Response Body Content-Type: application/json

This API endpoint returns standard API response format. The following fields are fields of the data object. Learn more

idstringRequired

The unique identifier of the channel.

namestringRequired

The display name of the channel.

slugstringRequired

The channel slug.

is_defaultbooleanRequired

Whether this is the default channel.

last_slug_updated_atstring

ISO 8601 timestamp of the last channel slug update.

minecraft_versionsarray<string>

Default Minecraft versions for versions in this channel.

platformsarray<string>Required

Default platforms for versions in this channel.

dependenciesarray<object>Required

Default dependencies for versions in this channel.

typestringRequired

Dependency type. One of required, optional, incompatible, or embedded.

version_idstring

Target version ID.

project_idstring

Target project ID.

namestring

External dependency name.

urlstring

External dependency URL.

GET /projects/{projectId}/channels/{channelId}
Path Parameters
projectIdstringRequired

The project ID or slug.

channelIdstringRequired

The channel ID or slug.

Response Body Content-Type: application/json

This API endpoint returns standard API response format. The following fields are fields of the data object. Learn more

idstringRequired

The unique identifier of the channel.

namestringRequired

The display name of the channel.

slugstringRequired

The channel slug.

is_defaultbooleanRequired

Whether this is the default channel.

last_slug_updated_atstring

ISO 8601 timestamp of the last channel slug update.

minecraft_versionsarray<string>

Default Minecraft versions for versions in this channel.

platformsarray<string>Required

Default platforms for versions in this channel.

dependenciesarray<object>Required

Default dependencies for versions in this channel.

typestringRequired

Dependency type. One of required, optional, incompatible, or embedded.

version_idstring

Target version ID.

project_idstring

Target project ID.

namestring

External dependency name.

urlstring

External dependency URL.

PUT /projects/{projectId}/channels/{channelId}
Authentication

Authentication is required.

Access token must have project:channel:update scope. Organization-owned projects also require the project:channel:update organization member permission.

Learn more about authentication

Path Parameters
projectIdstringRequired

The project ID or slug.

channelIdstringRequired

The channel ID or slug.

Response Body Content-Type: application/json

This API endpoint returns standard API response format. The following fields are fields of the data object. Learn more

idstringRequired

The unique identifier of the channel.

namestringRequired

The display name of the channel.

slugstringRequired

The channel slug.

is_defaultbooleanRequired

Whether this is the default channel.

last_slug_updated_atstring

ISO 8601 timestamp of the last channel slug update.

minecraft_versionsarray<string>

Default Minecraft versions for versions in this channel.

platformsarray<string>Required

Default platforms for versions in this channel.

dependenciesarray<object>Required

Default dependencies for versions in this channel.

typestringRequired

Dependency type. One of required, optional, incompatible, or embedded.

version_idstring

Target version ID.

project_idstring

Target project ID.

namestring

External dependency name.

urlstring

External dependency URL.

PATCH /projects/{projectId}/channels/{channelId}
Authentication

Authentication is required.

Access token must have project:channel:update scope. Organization-owned projects also require the project:channel:update organization member permission.

Learn more about authentication

Path Parameters
projectIdstringRequired

The project ID or slug.

channelIdstringRequired

The channel ID or slug.

Request Body Content-Type: application/json

All fields are optional. Channel defaults are used by versions created without their own values.

slugstring

Channel slug.

namestring

Channel display name. Maximum 64 characters.

minecraft_versionsarray<string>

Default Minecraft versions for versions in this channel.

platformsarray<string>

Default platforms. Values: bukkit, spigot, paper, folia, purpur, forge, fabric, quilt, neoforge, resourcepack, datapack, or other.

dependenciesarray<object>

Default dependencies for versions in this channel. Each dependency must reference exactly one of version_id, project_id, or name.

Response Body Content-Type: application/json

This API endpoint returns standard API response format. The following fields are fields of the data object. Learn more

idstringRequired

The unique identifier of the channel.

namestringRequired

The display name of the channel.

slugstringRequired

The channel slug.

is_defaultbooleanRequired

Whether this is the default channel.

last_slug_updated_atstring

ISO 8601 timestamp of the last channel slug update.

minecraft_versionsarray<string>

Default Minecraft versions for versions in this channel.

platformsarray<string>Required

Default platforms for versions in this channel.

dependenciesarray<object>Required

Default dependencies for versions in this channel.

typestringRequired

Dependency type. One of required, optional, incompatible, or embedded.

version_idstring

Target version ID.

project_idstring

Target project ID.

namestring

External dependency name.

urlstring

External dependency URL.

DELETE /projects/{projectId}/channels/{channelId}
Authentication

Authentication is required.

Access token must have project:channel:delete scope. Organization-owned projects also require the project:channel:delete organization member permission.

Learn more about authentication

Path Parameters
projectIdstringRequired

The project ID or slug.

channelIdstringRequired

The channel ID or slug.